import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Removecuspay } from "../../domain/entities";
import { RemovecuspayMongoModel, RemovecuspayRawModel } from "../dtos/removecuspay.dto";
export declare class RemovecuspayMongoMapper extends MongoMapper<Removecuspay, RemovecuspayMongoModel> {
    constructor();
    toEntity(mongoModel: RemovecuspayMongoModel): Removecuspay;
}
export declare class RemovecuspayRawMapper extends MapperImpl<Removecuspay, RemovecuspayRawModel> {
    fromEntity(entity: Removecuspay): RemovecuspayRawModel;
    toEntity(rawModel: RemovecuspayRawModel): Removecuspay;
}
