import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Stprofile } from "../../domain/entities";
import { StprofileMongoModel, StprofileRawModel } from "../dtos/stprofile.dto";
export declare class StprofileMongoMapper extends MongoMapper<Stprofile, StprofileMongoModel> {
    constructor();
    toEntity(mongoModel: StprofileMongoModel): Stprofile;
}
export declare class StprofileRawMapper extends MapperImpl<Stprofile, StprofileRawModel> {
    fromEntity(entity: Stprofile): StprofileRawModel;
    toEntity(rawModel: StprofileRawModel): Stprofile;
}
