import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Updatereqpay } from "../../domain/entities";
import { UpdatereqpayMongoModel, UpdatereqpayRawModel } from "../dtos/updatereqpay.dto";
export declare class UpdatereqpayMongoMapper extends MongoMapper<Updatereqpay, UpdatereqpayMongoModel> {
    constructor();
    toEntity(mongoModel: UpdatereqpayMongoModel): Updatereqpay;
}
export declare class UpdatereqpayRawMapper extends MapperImpl<Updatereqpay, UpdatereqpayRawModel> {
    fromEntity(entity: Updatereqpay): UpdatereqpayRawModel;
    toEntity(rawModel: UpdatereqpayRawModel): Updatereqpay;
}
