"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Nominate = void 0;
class Nominate {
    cand;
    dacId;
    id;
    constructor(cand, dacId, id) {
        this.cand = cand;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            cand: this.cand,
            dacId: this.dacId,
        };
    }
    static create(cand, dacId, id, rest) {
        const entity = new Nominate(cand, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Nominate('', '');
    }
}
exports.Nominate = Nominate;
