import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Nominatecane } from "../../domain/entities";
import { NominatecaneMongoModel, NominatecaneRawModel } from "../dtos/nominatecane.dto";
export declare class NominatecaneMongoMapper extends MongoMapper<Nominatecane, NominatecaneMongoModel> {
    constructor();
    toEntity(mongoModel: NominatecaneMongoModel): Nominatecane;
}
export declare class NominatecaneRawMapper extends MapperImpl<Nominatecane, NominatecaneRawModel> {
    fromEntity(entity: Nominatecane): NominatecaneRawModel;
    toEntity(rawModel: NominatecaneRawModel): Nominatecane;
}
