import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Resigncust } from "../../domain/entities";
import { ResigncustMongoModel, ResigncustRawModel } from "../dtos/resigncust.dto";
export declare class ResigncustMongoMapper extends MongoMapper<Resigncust, ResigncustMongoModel> {
    constructor();
    toEntity(mongoModel: ResigncustMongoModel): Resigncust;
}
export declare class ResigncustRawMapper extends MapperImpl<Resigncust, ResigncustRawModel> {
    fromEntity(entity: Resigncust): ResigncustRawModel;
    toEntity(rawModel: ResigncustRawModel): Resigncust;
}
