import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Votecust } from "../../domain/entities";
import { VotecustMongoModel, VotecustRawModel } from "../dtos/votecust.dto";
export declare class VotecustMongoMapper extends MongoMapper<Votecust, VotecustMongoModel> {
    constructor();
    toEntity(mongoModel: VotecustMongoModel): Votecust;
}
export declare class VotecustRawMapper extends MapperImpl<Votecust, VotecustRawModel> {
    fromEntity(entity: Votecust): VotecustRawModel;
    toEntity(rawModel: VotecustRawModel): Votecust;
}
