import { Entity, UnknownObject } from "@alien-worlds/aw-core";
export declare class Weightobsv implements Entity {
    accountWeightDeltas: AccountWeightDelta[];
    dacId: string;
    id?: string;
    constructor(accountWeightDeltas: AccountWeightDelta[], dacId: string, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(accountWeightDeltas: AccountWeightDelta[], dacId: string, id?: string, rest?: UnknownObject): Weightobsv;
    static getDefault(): Weightobsv;
}
export declare class AccountWeightDelta implements Entity {
    account: string;
    weightDelta: number;
    weightDeltaQuorum: number;
    id?: string;
    constructor(account: string, weightDelta: number, weightDeltaQuorum: number, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(account: string, weightDelta: number, weightDeltaQuorum: number, id?: string, rest?: UnknownObject): AccountWeightDelta;
    static getDefault(): AccountWeightDelta;
}
