import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Proxies } from "../../domain/entities";
import { ProxiesMongoModel, ProxiesRawModel } from "../dtos/proxies.dto";
export declare class ProxiesMongoMapper extends MongoMapper<Proxies, ProxiesMongoModel> {
    constructor();
    toEntity(mongoModel: ProxiesMongoModel): Proxies;
}
export declare class ProxiesRawMapper extends MapperImpl<Proxies, ProxiesRawModel> {
    fromEntity(entity: Proxies): ProxiesRawModel;
    toEntity(rawModel: ProxiesRawModel): Proxies;
}
