import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { Asset } from '@alien-worlds/aw-antelope';
export declare class Candidates implements Entity {
    candidateName: string;
    requestedpay: Asset;
    rank: number;
    gapFiller: number;
    totalVotePower: number;
    isActive: number;
    numberVoters: number;
    avgVoteTimeStamp: Date;
    runningWeightTime: number;
    id?: string;
    constructor(candidateName: string, requestedpay: Asset, rank: number, gapFiller: number, totalVotePower: number, isActive: number, numberVoters: number, avgVoteTimeStamp: Date, runningWeightTime: number, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(candidateName: string, requestedpay: Asset, rank: number, gapFiller: number, totalVotePower: number, isActive: number, numberVoters: number, avgVoteTimeStamp: Date, runningWeightTime: number, id?: string, rest?: UnknownObject): Candidates;
    static getDefault(): Candidates;
}
